import 'package:auto_animated/auto_animated.dart';
import 'package:flutter/material.dart';
import 'package:scroll_to_index/scroll_to_index.dart';

import 'bolum.dart';

final sayfa1autoScrollController = new AutoScrollController();
final sayfa2autoScrollController = new AutoScrollController();
final sayfa3autoScrollController = new AutoScrollController();
final sayfa4autoScrollController = new AutoScrollController();
final sayfa5autoScrollController = new AutoScrollController();
final sayfa6autoScrollController = new AutoScrollController();
final sayfa7autoScrollController = new AutoScrollController();
final sayfa8autoScrollController = new AutoScrollController();
final sayfa9autoScrollController = new AutoScrollController();

class Site extends StatelessWidget {
  final String siteAdi;
  final Sayfa sayfa;
  final Color siteArkaplanRengi;
  Site({this.siteAdi, this.siteArkaplanRengi = Colors.white, this.sayfa});

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
        color: siteArkaplanRengi,
        title: siteAdi ?? 'Site Adini gir',
        theme: ThemeData(
          primarySwatch: Colors.blue,
          fontFamily: "font",
        ),
        home: sayfa);
  }
}

class Sayfa extends StatelessWidget {
  final Color sayfaArkaplanRengi;
  final List<Bolum> bolumler;
  final AutoScrollController kaydirmaKontrolu;
  Sayfa({this.bolumler, this.sayfaArkaplanRengi = Colors.white, this.kaydirmaKontrolu});

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      backgroundColor: sayfaArkaplanRengi,
      body: AnimateIfVisibleWrapper(
        child: ListView(
          key: Key('listem'),
          controller: kaydirmaKontrolu ?? sayfa1autoScrollController,
          children: bolumler.map((item) => item.kaydirmaKontrolu == null ? (item..kaydirmaKontrolu = (kaydirmaKontrolu ?? sayfa1autoScrollController)) : item).toList(),
        ),
      ),
    );
  }
}
